FROM golang:1.24-bookworm as build

# renovate: datasource=gitlab-tags depName=gitlab-org/prometheus/prometheus-imap-mailbox-exporter
ARG EXPORTER_VERSION=v0.3.1

RUN mkdir -p /tmp/build && \
    git clone --depth=1 --branch="${EXPORTER_VERSION}" https://gitlab.com/gitlab-org/prometheus/prometheus-imap-mailbox-exporter.git /tmp/build && \
      bash /tmp/build/bin/build

FROM debian:bookworm-slim

RUN apt update && apt install ca-certificates -y && apt clean

COPY --from=build /tmp/build/bin/output/prometheus-imap-mailbox-exporter /usr/bin/imap-mailbox-exporter

USER 1000

EXPOSE 9117
CMD ["imap-mailbox-exporter"]
